Package ru.bgcrm.plugin.bgbilling.proto.model.inet

# Class InetDeviceInterface

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetDeviceInterface

public class InetDeviceInterface extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDeviceInterface()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getDeviceId()`
  `int`
  `getIpCategoryId()`
  `int`
  `getPort()`
  `int`
  `getRemoteDeviceId()`
  `int`
  `getRemotePort()`
  `int`
  `getStatus()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `String`
  `getTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setDeviceId(int deviceId)`
  `void`
  `setIpCategoryId(int ipCategoryId)`
  `void`
  `setPort(int port)`
  `void`
  `setRemoteDeviceId(int remoteDeviceId)`
  `void`
  `setRemotePort(int remotePort)`
  `void`
  `setStatus(int status)`
  `void`
  `setSubscriberId(int subscriberId)`
  `void`
  `setSubscriberTitle(String subscriberTitle)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetDeviceInterface

    public InetDeviceInterface()

- ## Method Details

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId(int deviceId)

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort(int port)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getRemoteDeviceId

    public int getRemoteDeviceId()

  - ### setRemoteDeviceId

    public void setRemoteDeviceId(int remoteDeviceId)

  - ### getRemotePort

    public int getRemotePort()

  - ### setRemotePort

    public void setRemotePort(int remotePort)

  - ### getIpCategoryId

    public int getIpCategoryId()

  - ### setIpCategoryId

    public void setIpCategoryId(int ipCategoryId)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId(int subscriberId)

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setSubscriberTitle

    public void setSubscriberTitle(String subscriberTitle)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)